Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.core
Class ResourceBundle

    java.lang.Object
      org.jboss.seam.core.ResourceBundle

All Implemented Interfaces:
  Serializable

    @Scope(value=SESSION)
    @Intercept(value=NEVER)
    @Name(value="org.jboss.seam.core.resourceBundle")
    @Install(precedence=0)
    public class ResourceBundle

extends Object
implements Serializable

Support for an application-global resource bundle

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`ResourceBundle()`

Method Summary
`ResourceBundle` | `getBundle()`
`String` | `getBundleName()` Deprecated.
`String[]` | `getBundleNames()`
`static ResourceBundle` | `instance()`
`protected ResourceBundle` | `loadBundle(String bundleName)` Load a resource bundle by name (may be overridden by subclasses who want to use non-standard resource bundle types).
`void` | `setBundleName(String bundleName)` Deprecated.
`void` | `setBundleNames(String[] bundleNames)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceBundle

    public ResourceBundle()

Method Detail

### getBundleNames

    public String[] getBundleNames()

### setBundleNames

    public void setBundleNames(String[] bundleNames)

### setBundleName

    @Deprecated
    public void setBundleName(String bundleName)

  Deprecated.

### getBundleName

    @Deprecated
    public String getBundleName()

  Deprecated.

### loadBundle

    protected ResourceBundle loadBundle(String bundleName)

  Load a resource bundle by name (may be overridden by subclasses who want to use non-standard resource bundle types).

  Parameters:
    `bundleName` - the name of the resource bundle
  Returns:
    an instance of java.util.ResourceBundle

### getBundle

    @Unwrap
    public ResourceBundle getBundle()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### instance

    public static ResourceBundle instance()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD